Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.server.management
Class PlayerManager

    java.lang.Object
      net.minecraft.server.management.PlayerManager

    public class PlayerManager

extends Object

Constructor Summary
`PlayerManager(WorldServer par1WorldServer, int par2)`

Method Summary
`void` | `addPlayer(EntityPlayerMP par1EntityPlayerMP)` Adds an EntityPlayerMP to the PlayerManager.
`void` | `filterChunkLoadQueue(EntityPlayerMP par1EntityPlayerMP)` Removes all chunks from the given player's chunk load queue that are not in viewing range of the player.
`void` | `flagChunkForUpdate(int par1, int par2, int par3)` the "PlayerInstance"/ chunkWatcher will send this chunk to all players who are in line of sight
`static int` | `func_72686_a(int par0)`
`PlayerInstance` | `getOrCreateChunkWatcher(int par1, int par2, boolean par3)`
`WorldServer` | `getWorldServer()`
`boolean` | `isPlayerWatchingChunk(EntityPlayerMP par1EntityPlayerMP, int par2, int par3)`
`void` | `removePlayer(EntityPlayerMP par1EntityPlayerMP)` Removes an EntityPlayerMP from the PlayerManager.
`void` | `updateMountedMovingPlayer(EntityPlayerMP par1EntityPlayerMP)` update chunks around a player being moved by server logic (e.g.
`void` | `updatePlayerInstances()` updates all the player instances that need to be updated

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlayerManager

    public PlayerManager(WorldServer par1WorldServer,
                         int par2)

Method Detail

### getWorldServer

    public WorldServer getWorldServer()

### updatePlayerInstances

    public void updatePlayerInstances()

  updates all the player instances that need to be updated

### getOrCreateChunkWatcher

    public PlayerInstance getOrCreateChunkWatcher(int par1,
                                                  int par2,
                                                  boolean par3)

### flagChunkForUpdate

    public void flagChunkForUpdate(int par1,
                                   int par2,
                                   int par3)

  the "PlayerInstance"/ chunkWatcher will send this chunk to all players who are in line of sight

### addPlayer

    public void addPlayer(EntityPlayerMP par1EntityPlayerMP)

  Adds an EntityPlayerMP to the PlayerManager.

### filterChunkLoadQueue

    public void filterChunkLoadQueue(EntityPlayerMP par1EntityPlayerMP)

  Removes all chunks from the given player's chunk load queue that are not in viewing range of the player.

### removePlayer

    public void removePlayer(EntityPlayerMP par1EntityPlayerMP)

  Removes an EntityPlayerMP from the PlayerManager.

### updateMountedMovingPlayer

    public void updateMountedMovingPlayer(EntityPlayerMP par1EntityPlayerMP)

  update chunks around a player being moved by server logic (e.g. cart, boat)

### isPlayerWatchingChunk

    public boolean isPlayerWatchingChunk(EntityPlayerMP par1EntityPlayerMP,
                                         int par2,
                                         int par3)

### func_72686_a

    public static int func_72686_a(int par0)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD